libiberty 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1148789 漏洞类型 缓冲区溢出
发布时间 2016-05-02 更新时间 2017-07-26
CVE编号 CVE-2016-4491 CNNVD-ID CNNVD-201605-145
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/90016
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201605-145
|漏洞详情
libiberty是一个GNU程序使用的子程序的集合。libiberty中的cp-demangle.c文件的‘d_print_comp’函数存在安全漏洞。远程攻击者可利用该漏洞造成拒绝服务(段错误和崩溃)。
|受影响的产品
Ubuntu Ubuntu Linux 17.04 Ubuntu Ubuntu Linux 16.04 LTS Ubuntu Ubuntu Linux 14.04 LTS GNU gcc 0
|参考资料

来源:gcc.gnu.org
链接:https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70909
来源:www.openwall.com
链接:http://www.openwall.com/lists/oss-security/2016/05/05/5
来源:MLIST
链接:https://gcc.gnu.org/ml/gcc-patches/2016-05/msg00105.html